Skip to main content
PUT
/
v2
/
addresses
/
{address_id}
curl
curl -i -X PUT \
'https://api.goshippo.com/v2/addresses/{address_id}' \
-H 'Authorization: ShippoToken <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
  "name": "Wilson",
  "organization": "Shippo",
  "email": "user@shippo.com",
  "phone": "+1-4155550132",
  "address_line_1": "731 Market Street",
  "address_line_2": "#200",
  "city_locality": "San Francisco",
  "state_province": "CA",
  "postal_code": "94103",
  "country_code": "US",
  "address_type": "residential"
}'
import requests

url = "https://api.goshippo.com/v2/addresses/{address_id}"

payload = {
    "name": "Wilson",
    "address_line_1": "731 Market Street",
    "country_code": "US",
    "organization": "Shippo",
    "email": "user@shippo.com",
    "phone": "+1-4155550132",
    "address_line_2": "#200",
    "city_locality": "San Francisco",
    "state_province": "CA",
    "postal_code": "94103",
    "address_type": "residential"
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'Wilson',
    address_line_1: '731 Market Street',
    country_code: 'US',
    organization: 'Shippo',
    email: 'user@shippo.com',
    phone: '+1-4155550132',
    address_line_2: '#200',
    city_locality: 'San Francisco',
    state_province: 'CA',
    postal_code: '94103',
    address_type: 'residential'
  })
};

fetch('https://api.goshippo.com/v2/addresses/{address_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
default:ShippoToken
required

Enter your shippo token with the ShippoToken prefix.

Example: ShippoToken shippo_live_xxxx

Path Parameters

address_id
string
required

Body

application/json
name
string
required

The name of the addressee

Maximum string length: 64
Example:

"Wilson"

address_line_1
string
required

The first line of the address

Required string length: 1 - 100
Example:

"731 Market Street"

country_code
string
required

The ISO 3166 country code

Required string length: 2
Example:

"US"

organization
string | null

The organization of the addressee

Maximum string length: 100
Example:

"Shippo"

email
string<email> | null

The email of the addressee

Required string length: 5 - 128
Example:

"user@shippo.com"

phone
string | null

The phone number of the addressee

Required string length: 3 - 32
Example:

"+1-4155550132"

address_line_2
string | null

The second line of the address. Must be percent encoded when passed as a query parameter (e.g. #200%23200).

Maximum string length: 50
Example:

"#200"

city_locality
string | null

The city or locality of the address

Maximum string length: 64
Example:

"San Francisco"

state_province
string | null

The state, province, county, or municipal division

Maximum string length: 32
Example:

"CA"

postal_code
string

The postal code or zip code

Maximum string length: 16
Example:

"94103"

address_type
enum<string>
default:unknown

The category of the address. It may affect how certain carriers charge for a delivery/pickup.It is recommended to specify it, if it is known.

Available options:
unknown,
residential,
commercial,
po_box,
military
Example:

"residential"

Response

Successful Response